Bug 1459744 - Volume is unmounted inside application pod after volume expansion [NEEDINFO]
Volume is unmounted inside application pod after volume expansion
Status: CLOSED NOTABUG
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: heketi (Show other bugs)
cns-3.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Humble Chirammal
Tejas Chaphekar
: Reopened
Depends On:
Blocks: 1445448
  Show dependency treegraph
 
Reported: 2017-06-08 01:00 EDT by Tejas Chaphekar
Modified: 2017-07-25 03:59 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-07-25 03:59:59 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
hchiramm: needinfo? (tchaphek)


Attachments (Terms of Use)
App-Log (21.80 KB, text/plain)
2017-06-08 01:00 EDT, Tejas Chaphekar
no flags Details

  None (edit)
Description Tejas Chaphekar 2017-06-08 01:00:48 EDT
Created attachment 1285977 [details]
App-Log

Description of problem:
The mounted volume inside the application pod is unmounted after the volume expansion is performed

Version-Release number of selected component (if applicable):
3.6

How reproducible:

Once

Steps to Reproduce:
1.Create a PV, PVC
2.Create a app pod and mount a volume inside it
3.Do volume expansion and check it the volume mounted inside app pod is extended

Actual results:

The volume failed to expand on the app pod and was unmounted

Expected results:

The volume should be expanded

Additional info:
Comment 2 Raghavendra Talur 2017-06-12 05:38:35 EDT
Tejas,

1. other log are missing.
2. Were you using encryption when the volume expansion happened?
Comment 3 Tejas Chaphekar 2017-06-15 02:22:10 EDT
OCP Build version - 3.6.92-1

I have uploaded the sosreports to 
http://rhsqe-repo.lab.eng.blr.redhat.com/sosreports/1459744
Comment 4 Humble Chirammal 2017-06-16 02:52:46 EDT
This is working as expected. There is no support in OCP for doing online resize of mounted PVs. Volume expansion should be documented as a supported heketi-cli operation and we should not chase it with a full flow of 'resize' operation back to app pod. I am closing this bug for now.

Note You need to log in before you can comment on or make changes to this bug.